﻿namespace U2UConsult.Composite.Communication.Sample.RegularEvents
{
    using System;

    /// <summary>
    /// Publisher interface.
    /// </summary>
    public interface IPublisher
    {
        /// <summary>
        /// Published event.
        /// </summary>
        event EventHandler Published;

        /// <summary>
        /// Raise the Publish event.
        /// </summary>
        void Publish();
    }
}
